Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

MIssing KDE Widgets in QT5 vs QT4



  • When you install CentOS, it comes with QT3(kind of) and QT4 Desginer. The QT4 Designer has all the "normal" widgets but also has a ton of KDE specific ones. Is there a way to move or convert these to work with QT5. It seems odd the newer version of QT would have less widgets/plugins?

    You can see QT5 looking for the plugins since it says those plugins are not supported(can't read the meta data). Thanks in advance!


  • Qt Champions 2019

    Since you can't mix plugins from different Qt version you have to install the Qt5-based KDE plugins from KFrameworks5. Don't know the package name you have to install for your distribution


Log in to reply